Schedule a snooze for the rule

Base URL
https://{kibana_url}
  • POST /api/alerting/rule/{id}/snooze_schedule
  • POST /s/{space_id}/api/alerting/rule/{id}/snooze_schedule
Auth

When you snooze a rule, the rule checks continue to run but alerts will not generate actions. You can snooze for a specified period of time and schedule single or recurring downtimes.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string required

Identifier of the rule.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

schedule object required
custom object
duration string · max length: 100 required

The duration of the schedule. It allows values in <integer><unit> format. <unit> is one of d, h, m, or s for hours, minutes, seconds. For example: 1d, 5h, 30m, 5000s.

recurring object
end string · max length: 100

The end date of a recurring schedule, provided in ISO 8601 format and set to the UTC timezone. For example: 2025-04-01T00:00:00.000Z.

every string · max length: 100

The interval and frequency of a recurring schedule. It allows values in <integer><unit> format. <unit> is one of d, w, M, or y for days, weeks, months, years. For example: 15d, 2w, 3m, 1y.

occurrences number · min: 1

The total number of recurrences of the schedule.

onMonth number[] · min items: 1 · max items: 12

The specific months for a recurring schedule. Valid values are 1-12.

onMonthDay number[] · min items: 1 · max items: 31

The specific days of the month for a recurring schedule. Valid values are 1-31.

onWeekDay string[] · min items: 1 · max items: 77

The specific days of the week ([MO,TU,WE,TH,FR,SA,SU]) or nth day of month ([+1MO, -3FR, +2WE, -4SA, -5SU]) for a recurring schedule.

start string · max length: 100 required

The start date and time of the schedule, provided in ISO 8601 format and set to the UTC timezone. For example: 2025-03-12T12:00:00.000Z.

timezone string · max length: 64

The timezone of the schedule. The default timezone is UTC.

Responses

Indicates a successful call.

application/json
body object required
schedule object required
custom object
Same fields as custom in schedule
id string required

Identifier of the snooze schedule.

400

Indicates an invalid schema.

403

Indicates that this call is forbidden.

404

Indicates a rule with the given id does not exist.

Base URL
https://{kibana_url}